<!-- Título e Cabeçalho/Imagens-->
<div class="container-fluid p-0" *ngIf="selectedFile">
	<div class="container-grid">
		<div class="sub-container">
			<h1>{{ selectedFile.label }}</h1>
			<div *ngIf="selectedFile.content">
				<h3 class="pt-6 pb-6">{{ selectedFile.content }}</h3>
			</div>
		</div>
		<div *ngIf="selectedFile.image" class="d-flex justify-content-end my-3">
			<img
				src="{{ selectedFile.image }}"
				alt="Imagem representando a seção de {{ selectedFile.label }}"
				height="175px"
			/>
		</div>
	</div>
	<!-- Tabs -->
	<!-- Usei if else, porque as alterações afetam a página de downloads e da legislação -->
	<div *ngIf="selectedFile.content; else elseBlock">
		<!-- [tabs] é apenas a aba, não o conteúdo -->
		<br-tabs [tabs]="selectedFile.sections">
			<!-- ng-container não gera uma div no HTML. Usado apenas para loop -->
			<ng-container *ngFor="let tab of selectedFile.sections; let index = index">
				<!-- Tab ativa mostra somente o conteúdo com o panel-{id} -->
				<div class="tab-panel" [id]="'panel-' + tab.id" [ngClass]="{ 'is-active': tab.isActive }">
					<!-- Conteúdo -->
					<div class="row">
						<ng-container
							*ngFor="let child of tab.files; let i = index"
							[ngTemplateOutlet]="card"
							[ngTemplateOutletContext]="{
								$implicit: child,
								index: i,
								count: tab.files.length
							}"
						></ng-container>
					</div>
					<!-- Versões Anteriores -->
					<!-- <h2>Versões Anteriores</h2>
					<ng-container>
						{{ tab.description }}
						<div class="br-list mt-4" role="list">
							<div
								*ngFor="
									let versao of tab.history;
									let index = index
								"
							>
								<ng-container
									[ngTemplateOutlet]="historicoVersoes"
									[ngTemplateOutletContext]="{
										$implicit: versao,
										index: 0
									}"
								></ng-container>
							</div>
						</div>
					</ng-container> -->
				</div>
			</ng-container>
		</br-tabs>
	</div>

	<!-- Com categorias -->
	<ng-template #elseBlock>
		<ng-container *ngFor="let section of selectedFile.sections; let index = index">
			<span>{{ section.label }}</span>
			<div class="row">
				<ng-container
					*ngFor="let child of section.files; let i = index"
					[ngTemplateOutlet]="card"
					[ngTemplateOutletContext]="{
						$implicit: child,
						index: i,
						count: section.files.length
					}"
				></ng-container>
			</div>
		</ng-container>
		<!-- Sem categorias -->
		<div class="row">
			<ng-container>
				<!-- Itens sem categoria -->
				<ng-container
					*ngFor="let file of selectedFile.files; let index = index"
					[ngTemplateOutlet]="card"
					[ngTemplateOutletContext]="{
						$implicit: file,
						index: index,
						count: selectedFile.files.length
					}"
				></ng-container>
			</ng-container>
		</div>
	</ng-template>

	<!-- Cards com os conteúdos -->
	<ng-template #card let-item let-index="index" let-count="count">
		<div class="col-sm-6 col-lg-3 mb-4 d-flex" [ngClass]="count >= 3 ? 'col-lg-3' : 'col-lg-4'">
			<!-- Carregar como link -->
			<a class="br-card d-flex flex-column flex-fill" href="{{ item.path }}" *ngIf="item.path">
				<div class="card-header d-flex justify-content-between">
					<span class="h4 my-0">{{ item.label }}</span>
					<div class="text-right pr-0" *ngIf="item.isNew">
						<div class="br-tag text support-10 medium">
							<span>Novo</span>
						</div>
					</div>
				</div>
				<div class="card-content flex-fill" *ngIf="item.description">
					<div class="img-background mb-3" *ngIf="item.image">
						<img src="{{ item.image }}" alt="Imagem do  + {{ item.label }}" />
					</div>
					<p class="text-sm-base">{{ item.description }}</p>

					<!-- Pega lista de children -->
					<div class="mx-n3" *ngFor="let child of item.children">
						<div class="br-item py-3">
							<div class="row justify-content-between">
								<div class="col-auto">
									<a
										href="{{ child.path }}"
										id="{{ child.id }}"
										class="text-weight-medium links-analytics"
										>{{ child.label }}</a
									>
								</div>
								<div class="col-auto">
									<span>{{ child.size }}</span>
								</div>
							</div>
						</div>
						<div class="br-divider mx-3"></div>
					</div>
				</div>
			</a>
			<!-- Carregar como div -->
			<div class="br-card d-flex flex-column flex-fill" [id]="item.id ? item.id : index" *ngIf="!item.path">
				<div class="card-header d-flex justify-content-between">
					<span class="h4 my-0">{{ item.label }}</span>
					<div class="text-right pr-0" *ngIf="item.isNew">
						<div class="br-tag text support-10 medium">
							<span>Novo</span>
						</div>
					</div>
				</div>
				<div class="card-content flex-fill" *ngIf="item.description">
					<div class="img-background mb-3" *ngIf="item.image">
						<img src="{{ item.image }}" alt="Imagem dox {{ item.label }}" />
					</div>
					<p class="text-sm-base">{{ item.description }}</p>

					<!-- Pega lista de children -->
					<div class="mx-n3" *ngFor="let child of item.children">
						<div class="br-item py-3">
							<div class="row justify-content-between">
								<div class="col-auto">
									<a
										href="{{ child.path }}"
										id="{{ child.id }}"
										class="text-weight-medium links-analytics"
										>{{ child.label }}</a
									>
								</div>
								<div class="col-auto">
									<span>{{ child.size }}</span>
								</div>
							</div>
						</div>
						<div class="br-divider mx-3"></div>
					</div>
				</div>
			</div>
		</div>
	</ng-template>

	<!-- Conteúdo interno do card -->
	<ng-template #cardconteudo let-item let-index="index">
		<div class="card-header d-flex justify-content-between">
			<span class="h4 my-0">{{ item.label }}</span>
			<div class="text-right pr-0" *ngIf="item.isNew">
				<div class="br-tag text support-10 medium">
					<span>Novo</span>
				</div>
			</div>
		</div>
		<div class="card-content flex-fill" *ngIf="item.description">
			<div class="img-background mb-3" *ngIf="item.image">
				<img src="{{ item.image }}" alt="Imagem do {{ item.label }}" />
			</div>
			<p class="text-sm-base">{{ item.description }}</p>

			<!-- Pega lista de children -->
			<div class="mx-n3" *ngFor="let child of item.children">
				<div class="br-item py-3">
					<div class="row justify-content-between">
						<div class="col-auto">
							<a href="{{ child.path }}" id="{{ child.id }}" class="text-weight-medium links-analytics">{{
								child.label
							}}</a>
						</div>
						<div class="col-auto">
							<span>{{ child.size }}</span>
						</div>
					</div>
				</div>
				<div class="br-divider mx-3"></div>
			</div>
		</div>
	</ng-template>

	<!-- Template para exibir o histórico de versões anteriores de acordo com cada Aba de arquivos: Designer, Modelos e Desenvolvedor -->
	<ng-template #historicoVersoes let-artefato let-index="index">
		<div
			class="align-items-center br-item"
			role="listitem"
			[tabindex]="index"
			data-toggle="collapse"
			[attr.data-target]="artefato.id"
			brCollapse
		>
			<div class="content">
				<div class="flex-fill label">{{ artefato.label }}</div>
				<i class="fas fa-chevron-down" aria-hidden="true"></i>
			</div>
		</div>
		<div class="br-list" [id]="artefato.id" role="list" hidden>
			<div class="align-items-center br-item" *ngFor="let child of artefato.versions" role="listitem">
				<div class="row align-items-center">
					<div class="col-auto">
						<a href="{{ child.path }}"><i class="fas fa-download" aria-hidden="true"></i></a>
					</div>
					<div class="col">
						<a href="{{ child.path }}">{{ child.version }}</a>
						<span *ngIf="child.dsgov_version" class="text-down-01">
							&nbsp;(Versão do Design System GOV.BR:
							{{ child.dsgov_version }})</span
						>
					</div>
					<div class="col-auto">{{ child.data }}&nbsp;<i class="fas fa-calendar-alt"></i></div>
				</div>
			</div>
			<span class="br-divider"></span>
		</div>
	</ng-template>
</div>
